#!/bin/sh

HDR=unicode_names.h

echo > $HDR
echo "typedef struct { gunichar ch; gchar *name; } UnicodeDataNames;" >> $HDR
echo "static UnicodeDataNames unicode_data_names[] = {" >> $HDR 
curl -# ftp://ftp.unicode.org/Public/UNIDATA/NamesList.txt |
	egrep "^[0-9A-F]{4,5}" |
	sed -r -e 's/^([0-9A-FA-F]{4,6})\t(.*)/\t{0x\1, "\2"},/' >> $HDR

echo -e "\t{0xffffffff, NULL}};\n\n" >> $HDR 
